; Prompts for a value between 0-9 and masks the output
(defun c:MyPINCode ( / number)
  (setq number "")
  (prompt "\nEnter a whole number [backspace to clear]: ")
  
  (setq code (grread))

  (while (and (= 2 (car code))
              (and (/= 13 (cadr code))   ; Enter
                   (/= 32 (cadr code)))) ; Spacebar
    (if (and (>= (cadr code) 48)
             (<= (cadr code) 57))
      (progn
        (setq ch (chr (cadr code)))
        (setq number (strcat number ch))
        (princ "*")
      )
    )

    ; Support backspace
    (if (= (cadr code) 8)
      (progn
        (repeat (strlen number)
          (princ (chr 8))
        )
        (setq number "")
      )
    )

    ; Ask for more input if the user did not press Enter or Space
    (if (or (/= 13 (cadr code))(/= 32 (cadr code)))
      (setq code (grread))
    )
  )

  (prompt (strcat "\nPIN entered was: " number))
 (princ)
)

; Prompts for a single character
(defun c:GetCharacter ( / code)
  (prompt "\nEnter a single character: ")
  
  (setq code (grread))

  (if (= 2 (car code))
    (progn
      (prompt (strcat "\nCharacter entered was: " (chr (cadr code))))
      (prompt (strcat "\nASCII code: " (itoa (cadr code))))
    )
    (prompt "\nInput was not from the keyboard.")
  )
 (princ)
)
