; Executes the COLOR command at the Command prompt
(initcommandversion 1)
(command "._color" "3")

; Executes the COLOR command and display the Color dialog box
(initcommandversion 2)
(command "._color" "3") ; Unknown command 3 error occurs



;|-----------------------------------------------------------------------|;


; Defines a function that displays the number of objects selected
(defun NumberOfObjects ( / ss)
  (setq ss (ssget))
  (alert (strcat "Number of objects selected: " (itoa (sslength ss))))
)

; Adds a command that is modal
(vlax-add-cmd "NumModal" 'NumberOfObjects
              "NumModal" ACRX_CMD_MODAL)

; Adds a command that is modal and supports pickfirst
(vlax-add-cmd "NumModalPickSet" 'NumberOfObjects
              "NumModalPickSet" 
              (+ ACRX_CMD_MODAL ACRX_CMD_USEPICKSET))

; Adds a command that is transparent
(vlax-add-cmd "NumTrans" 'NumberOfObjects
              "NumTrans" ACRX_CMD_TRANSPARENT)

; Removes the command
(vlax-remove-cmd "NumModal")
(vlax-remove-cmd "NumModalPickSet")
(vlax-remove-cmd "NumTrans")
