; Converts a text string to a symbol or expression
(read "(/ 12 (1+ 2))")
(/ 12 (1+ 2))

; Converts a text string to an expression and then evaluates the expression
(eval (read "(/ 12 (1+ 2))"))
4

; Evaluates a variable
(eval PI)
3.14159


;|-----------------------------------------------------------------------|;


; Swaps out a variable name with its value in a string
(defun expVar (str / )
  (while (wcmatch str "*%*%*")
    (progn
      (setq start (1+ (vl-string-search "%" str)))
      (setq next (vl-string-search "%" str start))
      (setq var (substr str start (- (+ next 2) start)))

      (setq expVal (vl-princ-to-string
                       (eval (read (vl-string-trim "%" var)))))

      (if (/= expVal nil)
        (setq str (vl-string-subst expVal var str))
      )
    )
  )
  str
)

; Defines the string to replace and a new variable
(setq *product* (getvar "PRODUCT")
      str2exp "PI=%PI% Product=%*product*%"
)

; Execute the custom function and return the new string
(expVar str2exp)
"PI=3.14159 Program=acad"
