; Custom function
(defun c:HelloAU () (alert "Hello AU2014!"))

; Adds F1 support to a web page
(setfunhelp "c:HelloAU" "http://www.autodesk.com")

; Adds F1 support to a local HTML file
(setfunhelp "c:HelloAU" (strcat "file:///" (findfile "help.htm")))
(setfunhelp "c:HelloAU" (findfile "help.htm"))

; Adds F1 support to a CHM file
(setfunhelp "c:HelloAU" "C:/Program Files/Autodesk/AutoCAD 2012 - English/Help/acet.chm" "html/ATTIN")
(setfunhelp "c:HelloAU" "C:/Program Files/Autodesk/AutoCAD 2012 - English/Help/acet.chm" "html/ATTIN" "HH_DISPLAY_TOPIC")
(setfunhelp "c:HelloAU" "C:/Program Files/Autodesk/AutoCAD 2012 - English/Help/acet.chm" "html/ATTIN" "HH_ALINK_LOOKUP")

; Adds F1 support to a HLP file (http://support.microsoft.com/kb/917607)
(setfunhelp "c:HelloAU" "C:/Program Files/Autodesk/AutoCAD 2015/Help/DWGCVT.HLP")
(setfunhelp "c:HelloAU" "C:/Program Files/Autodesk/AutoCAD 2015/Help/DWGCVT.HLP" "Con" "HELP_PARTIALKEY")


;|-----------------------------------------------------------------------|;

; Calling Help from a web page
(help "http://www.autodesk.com")

; Calling Help from a local HTML file
(help "file:///C:/Program Files/Autodesk/AutoCAD 2015 Help/English/Help/index.html")
(help "C:/Program Files/Autodesk/AutoCAD 2015 Help/English/Help/index.html")

; Calling Help from a CHM file
(help "C:/Program Files/Autodesk/AutoCAD 2012 - English/Help/acet.chm" "html/ATTIN")
(help "C:/Program Files/Autodesk/AutoCAD 2012 - English/Help/acet.chm" "html/ATTIN" "HH_DISPLAY_TOPIC")
(help "C:/Program Files/Autodesk/AutoCAD 2012 - English/Help/acet.chm" "html/ATTIN" "HH_ALINK_LOOKUP")

; Calling Help from a HLP file (http://support.microsoft.com/kb/917607)
(help "C:/Program Files/Autodesk/AutoCAD 2012 - English/Help/DWGCVT.HLP")
(help "C:/Program Files/Autodesk/AutoCAD 2012 - English/Help/DWGCVT.HLP" "Con" "HELP_PARTIALKEY")